Includes all settings of a self service profile.

package | selfService

### Methods

## Constructor

    __construct() : \selfServiceProfile

### Returns

`\selfServiceProfile`

### Properties

## LDAP password

    $LDAPPassword

## LDAP suffix

    $LDAPSuffix

## LDAP user DN

    $LDAPUser

## list of additional CSS links (separated by \n)

    $additionalCSS

## HTTP authentication

    $httpAuthentication

## input fields Format: array( <br> array(array('name' => <group name 1>, 'fields' => array(<field1>, <field2>))), <br> array(array('name' => <group name 2>, 'fields' => array(<field3>, <field4>))) <br> )

    $inputFields

## describing text for search attribute

    $loginAttributeText

## describing text for user login

    $loginCaption

## describing text for self service main page

    $mainPageText

## configuration settings of modules

    $moduleSettings

## header for self service pages

    $pageHeader

## List of fields that are set in read-only mode.

    $readOnlyFields

## LDAP search attribute

    $searchAttribute

## server address

    $serverURL

## use TLS

    $useTLS